#!/usr/bin/env python

import sys
from neuron import h, gui
from matplotlib import pyplot
import numpy
import os
import MCMClass_c as Mcm
import json


aisSeg = int(sys.argv[1])
aisLoc = float(sys.argv[2])
desMfr = int(sys.argv[3])

synapse = False
simplecell = False

desStd = 5

fRange1 = 10 ** (numpy.linspace(-3, -2, 5))
fRange2 = 10 ** (numpy.linspace(-2, -1, 5))
fRange3 = 10 ** (numpy.linspace(-1, 1, 30))
fRange2 = fRange2[1:]
fRange3 = fRange3[1:]
fRange = numpy.concatenate([fRange1, fRange2, fRange3])


filenam = "./Parameters/" + str(aisSeg) + "aisSeg" + str(aisLoc) + "aisloc" + str(desStd) + "SomaStd" + str(desMfr) + "Hz.json"
fid = open(filenam, "r")
tempJsonVar = json.load(fid)
fid.close()

Erest = tempJsonVar["Erest"]
Rin = tempJsonVar["Rin"]
stdVal = tempJsonVar["stdVal"]
somaStd = tempJsonVar["somaStd"]
offset = tempJsonVar["offset"]
print(
    "Found existing JSON file for the requested paramters. Opening existing JSON file and using these input parameters: \n - Erest: " + str(
        Erest) + "\n - Rin:" + str(Rin) + "\n - stdVal: " + str(stdVal) + "\n - somaStd: " + str(
        somaStd) + "\n - offset: " + str(offset) + "\n - mfr: " + str(desMfr) + "\n - aisloc: " + str(aisLoc))

Mcm.realmainOneLoop(28, offset, fRange, stdVal, aisSeg, aisLoc, desMfr, Erest, synapse, simplecell)
